# Serialized Form

## Package org.apache.avro.ipc

### Class org.apache.avro.ipc.HandshakeRequest extends org.apache.avro.specific.SpecificRecordBase implements Serializable

serialVersionUID:
  6293635732927376057L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Throws:
  `IOException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.avro.ipc.HandshakeResponse extends org.apache.avro.specific.SpecificRecordBase implements Serializable

serialVersionUID:
  1055336403110395392L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Throws:
  `IOException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.avro.ipc.MD5 extends org.apache.avro.specific.SpecificFixed implements Serializable

serialVersionUID:
  6731146766938681575L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Throws:
  `IOException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.apache.avro.ipc.ResponderServlet extends javax.servlet.http.HttpServlet implements Serializable

### Serialized Fields

#### responder

    Responder responder

## Package org.apache.avro.ipc.stats

### Class org.apache.avro.ipc.stats.Histogram.SegmenterException extends RuntimeException implements Serializable

### Class org.apache.avro.ipc.stats.StatsServlet extends javax.servlet.http.HttpServlet implements Serializable

### Serialized Fields

#### statsPlugin

    StatsPlugin statsPlugin

#### velocityEngine

    org.apache.velocity.app.VelocityEngine velocityEngine